name: Automated Container Build

on:
  push:
    branches:
      - main

jobs:
  build-and-push:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Code
        uses: actions/checkout@v4

      - name: Log into Local Registry
        run: |
          echo "${{ secrets.FORGEJO_PAT }}" | docker login git.elijahkuntz.com -u "${{ gitea.actor }}" --password-stdin

      - name: Build and Push Image
        run: |
          # Force the entire image path string to lowercase dynamically
          IMAGE_PATH=$(echo "git.elijahkuntz.com/${{ gitea.actor }}/${{ github.event.repository.name }}:latest" | tr '[:upper:]' '[:lower:]')
          
          docker build -t "$IMAGE_PATH" .
          docker push "$IMAGE_PATH"